Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPExtUserModuleImpl

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserModuleService
              org.jboss.portal.identity.ldap.LDAPUserModule
                  org.jboss.portal.identity.ldap.LDAPUserModuleImpl
                      org.jboss.portal.identity.ldap.LDAPExtUserModuleImpl

All Implemented Interfaces:
  UserModule

    public class LDAPExtUserModuleImpl

extends LDAPUserModuleImpl

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.identity.ldap.LDAPUserModuleImpl
`LDAPUserModuleImpl.UserEntryComparator`

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`LDAPExtUserModuleImpl()`

Method Summary
`User` | `createUser(java.lang.String userName, java.lang.String password)` Creates a new user with the specified name.
`User` | `createUser(java.lang.String userName, java.lang.String password, java.lang.String realEmail)`
`User` | `findUserByUserName(java.lang.String userName)` Retrieve a user by its name.
`java.util.Set` | `findUsers(int offset, int limit)` Get a range of users.
`java.util.Set` | `findUsersFilteredByUserName(java.lang.String filter, int offset, int limit)` Get a range of users.
`int` | `getUserCount()` Returns the number of users.
`protected java.util.Set` | `getUserSearchCtxDNs()`
`void` | `removeUser(java.lang.Object id)` Remove a user.
`java.util.List` | `searchUsers(java.lang.String filter, java.lang.Object[] filterArgs)` This method should be used by over modules to perform searches.

Methods inherited from class org.jboss.portal.identity.ldap.LDAPUserModuleImpl
`findUserById, findUserById, processUsers`

Methods inherited from class org.jboss.portal.identity.ldap.LDAPUserModule
`createUserInstance, findUserByDN, getAttributesToAdd, getConnectionContext, getContainerDN, getPasswordAttributeId, getPrincipalPreffix, getPrincipalSuffix, getSearchScope, getSearchTimeLimit, getUidAttributeID, getUserProfileModule, getUserSearchCtxDN, getUserSearchFilter, isAllowEmptyPasswords, isUserNameToLowerCase, setConnectionContext, start, updatePassword, validatePassword`

Methods inherited from class org.jboss.portal.identity.service.UserModuleService
`fireUserCreatedEvent, fireUserDestroyedEvent`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPExtUserModuleImpl

    public LDAPExtUserModuleImpl()

Method Detail

### findUserByUserName

    public User findUserByUserName(java.lang.String userName)
                            throws IdentityException,
                                   java.lang.IllegalArgumentException,
                                   NoSuchUserException

  Description copied from interface: `UserModule`
  Retrieve a user by its name.

  Specified by:
    `findUserByUserName` in interface `UserModule`
  Overrides:
    `findUserByUserName` in class `LDAPUserModuleImpl`
  Parameters:
    `userName` - the user name
  Returns:
    the user
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`
    `NoSuchUserException`

### createUser

    public User createUser(java.lang.String userName,
                           java.lang.String password)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Description copied from interface: `UserModule`
  Creates a new user with the specified name.

  Specified by:
    `createUser` in interface `UserModule`
  Overrides:
    `createUser` in class `LDAPUserModuleImpl`
  Returns:
    the user
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### createUser

    public User createUser(java.lang.String userName,
                           java.lang.String password,
                           java.lang.String realEmail)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### removeUser

    public void removeUser(java.lang.Object id)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Description copied from interface: `UserModule`
  Remove a user.

  Specified by:
    `removeUser` in interface `UserModule`
  Overrides:
    `removeUser` in class `LDAPUserModuleImpl`
  Parameters:
    `id` - the user id
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findUsers

    public java.util.Set findUsers(int offset,
                                   int limit)
                            throws IdentityException,
                                   java.lang.IllegalArgumentException

  Description copied from interface: `UserModule`
  Get a range of users.

  Specified by:
    `findUsers` in interface `UserModule`
  Overrides:
    `findUsers` in class `LDAPUserModuleImpl`
  Parameters:
    `offset` - the offset of the first result to retrieve
    `limit` - the maximum number of users to retrieve
  Returns:
    the user set
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findUsersFilteredByUserName

    public java.util.Set findUsersFilteredByUserName(java.lang.String filter,
                                                     int offset,
                                                     int limit)
                                              throws IdentityException,
                                                     java.lang.IllegalArgumentException

  Description copied from interface: `UserModule`
  Get a range of users.

  Specified by:
    `findUsersFilteredByUserName` in interface `UserModule`
  Overrides:
    `findUsersFilteredByUserName` in class `LDAPUserModuleImpl`
  Parameters:
    `filter` - a string filter applied to the user name.
    `offset` - the offset of the frist result to retrieve
    `limit` - the maximum number of users to retrieve
  Returns:
    the user set
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getUserCount

    public int getUserCount()
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Description copied from interface: `UserModule`
  Returns the number of users.

  Specified by:
    `getUserCount` in interface `UserModule`
  Overrides:
    `getUserCount` in class `LDAPUserModuleImpl`
  Returns:
    the number of users
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### searchUsers

    public java.util.List searchUsers(java.lang.String filter,
                                      java.lang.Object[] filterArgs)
                               throws javax.naming.NamingException,
                                      IdentityException

  This method should be used by over modules to perform searches. It will allow user module implementation to apply proper filter and search scope from the configuration

  Overrides:
    `searchUsers` in class `LDAPUserModuleImpl`
  Parameters:
    `filter` - that will be concatenated with proper user search filter from the module
  Returns:
  Throws:
    `javax.naming.NamingException`
    `IdentityException`

### getUserSearchCtxDNs

    protected java.util.Set getUserSearchCtxDNs()
                                         throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD